Subject: [Asrg] 6. Proposals - RMX-listing abstractions discussion

From: david nicol <[email-masked]>
Date: 26 Oct 2003 19:39:17 -0600

On Mon, 2003-09-15 at 10:54, Alan DeKok wrote:
> david nicol <[email-masked]> wrote:
> > Okay, DRIP
> > http://www.ietf.org/internet-drafts/draft-brand-drip-01.txt
> > is very similar; however instead of 
> ..
> > OMX would have example.com list
> > 
> > 	omx.m.example.com IN A 192.0.2.10
> > 	omx.m.example.com IN A 192.0.2.11
> 
>   Which is overkill.  The recipients of a message want to know if a
> particular IP is marked as "sending MX".  Forcing the recipient to
> wade through tons of unwanted information is inefficient.

one UDP packet is not "tons of unwanted information."  We're
looking at at most seven integers and seeing if the one we are
interested in is equal to one of them.

>   This was my preference:
> 
>  http://www.ietf.org/internet-drafts/draft-fecyk-dsprotocol-02.txt
> 
>   It appears to have expired, though.
> 
>   "designated senders" are looked up by reverse IP, which is simple to
> configure in DNS, and allows simple wildcarding for the "third-party
> relaying" issue.  Further, the response can be a TXT record, with
> additional consent information.
> 
>   The other benefit is that when the recipient MTA asks "is this IP
> permitted to send messages as your domain?", then the response is
> "yes", or "no", or "unknown".  This response is much more helpful than
> most similar proposals, which involve responding with huge amounts of
> information.
> 
>   Alan DeKok.

The "cram-them-all-into-A-records" method is meant to simplify
DNS administration. It is the simplest possible approach.  The
second approach, suggested in the extended listing draft as 
appropriate when there are many addresses to list, gives at least 32
bits of information in the response. We could mask off 32 bits of
AAAA record and have equivalence.

I understand your preference for more information in the response than
a binary listed/not-listed to imply a preference for defining only
a reverse-style listing and deprecating the arguably simpler
multiple A-records listing style at all, in proposed listing mechanisms.

--
david nicol / A thousand towers rise before me and I cannot climb them all.

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg